# V3d_TypeOfSurfaceDetail.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | V3d_TypeOfSurfaceDetail { V3d_TEX_NONE, V3d_TEX_ENVIRONMENT, V3d_TEX_ALL }
| Defines the type of shading for the graphic object: - V3d_COLOR: simple surface color, - V3d_MULTICOLOR: interpolated colors, - V3d_FLAT: flat shading, - V3d_GOURAUD: Gouraud shading, - V3d_HIDDEN: hidden line removal. . More...

## Enumeration Type Documentation

enum V3d_TypeOfSurfaceDetail

Enumeration values:

  V3d_TEX_NONE |
  V3d_TEX_ENVIRONMENT |
  V3d_TEX_ALL |